% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/Diversity.R
\docType{class}
\name{DiversityCurve-class}
\alias{DiversityCurve}
\alias{DiversityCurve-class}
\alias{print,DiversityCurve-method}
\title{S4 class defining diversity curve}
\usage{
\S4method{print}{DiversityCurve}(x)
}
\arguments{
\item{x}{DiversityCurve object}
}
\description{
\code{DiversityCurve} defines diversity (\eqn{D}) scores over multiple diversity
orders (\eqn{q}).
}
\section{Slots}{

\describe{
\item{\code{data}}{data.frame defining the diversity curve with the following columns:
\itemize{
  \item  \code{q}:      diversity order.
  \item  \code{D}:      median diversity index over all bootstrap
                        realizations.
  \item  \code{lower}:  lower confidence inverval bound.
  \item  \code{upper}:  upper confidence interval bound.
}}

\item{\code{groups}}{character vector of groups retained in the diversity calculation.}

\item{\code{n}}{numeric value indication the number of sequences sampled from each group.}

\item{\code{nboot}}{number of bootstrap realizations performed.}

\item{\code{ci}}{confidence interval defining the upper and lower bounds
               (a value between 0 and 1).}
}}

