% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/SeqCore.R
\name{getDNADistMatrix}
\alias{getDNADistMatrix}
\title{Build a DNA distance matrix}
\usage{
getDNADistMatrix(gap = -1)
}
\arguments{
\item{gap}{value to assign to characters in the set \code{c("-", ".")}.}
}
\value{
A \code{matrix} of DNA character distances with row and column names
          indicating the character pair. By default, distances will be either 0
          (equivalent), 1 (non-equivalent or missing), or -1 (gap).
}
\description{
\code{getDNADistMatrix} returns a Hamming distance matrix for IUPAC ambiguous
DNA characters with modifications for gap, \code{c("-", ".")}, and missing,
\code{c("?")}, character values.
}
\examples{
# Set gap characters to Inf distance
# Distinguishes gaps from Ns
getDNADistMatrix()

# Set gap characters to 0 distance
# Makes gap characters equivalent to Ns
getDNADistMatrix(gap=0)
}
\seealso{
Creates DNA distance matrix for \code{\link{getSeqDistance}}.
          See \link{getAADistMatrix} for amino acid distances.
}

